import 'dart:async';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class LoadingStack extends StatefulWidget {
  final List<Widget> Function() children;
  final StreamController<bool> isLoadingSC;

  LoadingStack({
    required this.children,
    required this.isLoadingSC,
  });

  @override
  State<StatefulWidget> createState() {
    return LoadingStackState();
  }
}

class LoadingStackState extends State<LoadingStack> {
  @override
  Widget build(BuildContext context) {
    return StreamBuilder<bool>(
      stream: widget.isLoadingSC.stream,
      builder: (context, snapshot) {
        return Stack(
          children: [
            ...widget.children(),
            IgnorePointer(
              ignoring: snapshot.data == false,
              child: snapshot.data == true
                  ? Container(
                      alignment: Alignment.center,
                      color: Colors.black.withOpacity(0.25),
                      child: Container(
                        alignment: Alignment.center,
                        decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.circular(8),
                        ),
                        height: 100,
                        width: 100,
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            Container(
                              child: CircularProgressIndicator(
                                valueColor: new AlwaysStoppedAnimation<Color>(
                                  Colors.deepOrange,
                                ),
                              ),
                            ),
                          ],
                        ),
                      ),
                    )
                  : Container(),
            ),
          ],
        );
      },
    );
  }
}
